from django.db import migrations, models


def migrate_data(apps, schema_editor):
    Study = apps.get_model('studies', 'Study')
    StudySession = apps.get_model('studies', 'StudySession')

    for study in Study.objects.all():
        if not study.study_type.exists():
            continue
        session = study.studysession_set.first()
        if not session:
            session = study.studysession_set.create(name='session', duration=0)
        session.type.set(study.study_type.all())


class Migration(migrations.Migration):

    dependencies = [
        ('studies', '0009_study_session_instructions')
    ]

    operations = [
        migrations.AddField(
            model_name='studysession',
            name='type',
            field=models.ManyToManyField(blank=True, to='studies.StudyType', verbose_name='Type'),
        ),
        migrations.RunPython(migrate_data),
        migrations.RemoveField(
            model_name='study',
            name='study_type',
        ),
    ]
