# Generated by Django 3.0.4 on 2020-04-15 13:44

from django.db import migrations, models
import django.db.models.deletion


def delete_surplus_consents(apps, schema_editor):
    Consent = apps.get_model('subjects', 'Consent')
    Subject = apps.get_model('subjects', 'Subject')

    for subject in Subject.objects.all():
        try:
            consent = subject.consent_set.latest()
            subject.consent_set.exclude(pk=consent.pk).delete()
        except Consent.DoesNotExist:
            pass


class Migration(migrations.Migration):

    dependencies = [
        ('subjects', '0014_remove_subject_no_recruitment'),
    ]

    operations = [
        migrations.RunPython(delete_surplus_consents),
        migrations.AlterField(
            model_name='consent',
            name='subject',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='subjects.Subject'),
        ),
    ]
